Summary:	Geometric puzzles and toys for the X Window System
Name:		xpuzzles
Version:	5.5.2
Release: 8mdk
Copyright:	MIT
Group:		Games/Puzzles
BuildRequires:	XFree86-devel

Source0:	ftp://sunsite.unc.edu/pub/Linux/games/strategy/xpuzzles-5.5.2.tar.bz2
Source1:	xpuzzles.bz2
Source2:	xpuzzles-16x16.xpm
Source3:	xpuzzles-32x32.xpm
Source4:	xpuzzles-48x48.xpm
Patch:		xpuzzles-5.4.1-install.patch.bz2
Patch1:		xpuzzles-5.4.1-nobr.patch.bz2
Patch2:		xpuzzles-5.5.2-lib.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
A set of geometric puzzles and toys for the X Window System.

Xpuzzles includes a version of Rubik's cube and various other geometric Rubik's
cube style puzzles.

%prep

%setup -q
%patch0 -p1
%patch1 -p1 -b .nobr
%patch2 -p1

%build
make -f xpuzzles.Makefile xmkmf
make -f xpuzzles.Makefile CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}

make -f xpuzzles.Makefile DESTDIR=$RPM_BUILD_ROOT install

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/menu/
bzip2 -d $RPM_BUILD_ROOT/usr/lib/menu/xpuzzles.bz2
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/{mini,large}
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/usr/share/icons/mini/xpuzzles.xpm
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/usr/share/icons/xpuzzles.xpm
install -m 644 %SOURCE4 $RPM_BUILD_ROOT/usr/share/icons/large/xpuzzles.xpm
%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/xpanex
/usr/X11R6/man/man1/xpanex.1*
/usr/X11R6/bin/xrubik
/usr/X11R6/man/man1/xrubik.1*
/usr/X11R6/bin/xskewb
/usr/X11R6/man/man1/xskewb.1*
/usr/X11R6/bin/xdino
/usr/X11R6/man/man1/xdino.1*
/usr/X11R6/bin/xpyraminx
/usr/X11R6/man/man1/xpyraminx.1*
/usr/X11R6/bin/xoct
/usr/X11R6/man/man1/xoct.1*
/usr/X11R6/bin/xmball
/usr/X11R6/man/man1/xmball.1*
/usr/X11R6/bin/xcubes
/usr/X11R6/man/man1/xcubes.1*
/usr/X11R6/bin/xtriangles
/usr/X11R6/man/man1/xtriangles.1*
/usr/X11R6/bin/xhexagons
/usr/X11R6/man/man1/xhexagons.1*
/usr/X11R6/bin/xmlink
/usr/X11R6/man/man1/xmlink.1*
/usr/lib/menu/*
/usr/share/icons/*
#/usr/share/icons/mini/*
#/usr/share/icons/large/*

%changelog
* Tue Sep 26 2000 Etienne Faure  <etienne@mandraksoft.com> 5.5.2-8mdk
- cleaned menu entry

* Wed Aug 16 2000 David BAUDENS <baudens@mandrakesoft.com> 5.5.2-7mdk
- %%update_menus %% clean_menus

* Wed Aug 16 2000 David BAUDENS <baudens@mandrakesoft.com> 5.5.2-6mdk
- Fix menu entry

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.5.2-5mdk
- automatically added BuildRequires

* Wed May 10 2000 dam's <damien@mandrakesoft.com> 5.5.2-4mdk
- Changed icon.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 5.5.2-3mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 5.5.2-2mdk
- Added menu entry.

* Mon Mar 27 2000 dam's <damien@mandrakesoft.com> 5.5.2-1mdk
- Update to 5.5.2

* Fri Nov 5 1999 dam's <damien@mandrakesoft.com>
- Mandrake release

* Thu May  6 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Mar 18 1999 Michael Maher <mike@redhat.com>
- fixed bugs: 1132, 1617

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new version
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
